@online{PythonListImplementation,
	author = {Laurent Luce},
	title = {Python List Implentation},
	url = {https://www.laurentluce.com/posts/python-list-implementation/},
	urldate = {2021-09-16},
	year = 2021
}

@online{Terminaison,
	author = {Info Blaise Pascal},
	title = {Terminaison},
	url = {https://info.blaisepascal.fr/nsi-terminaison-dun-algorithme},
	urldate = {2022-02-01},
	year = 2022
}

@online{Terminaison-prepa,
	author = {MP2I Montequieu},
	title = {Terminaison},
	url = {https://cpge.lyc-montesquieu-72.fr/IMG/pdf/terminaison.pdf},
	urldate = {2022-02-01},
	year = 2022
}

@online{comportement_algo,
	author = {NSI Term mmtek},
	title = {Terminaison},
	url = {http://lycee.mmtek.fr/docs/nsi_ter/cha01-comportement-algorithme.pdf},
	urldate = {2022-02-01},
	year = 2022
}

@book{NSITerm,
	author = {Filiatre},
	publisher = {},
	title = {NSI Terminale},
	year = 2019
}

@online{TD_tables_hachage,
	author = {Julien Sopena},
	title = {TD 01 - Fonctions de hachage : codage et adressage},
	url = {http://julien.sopena.fr/index.php?s=enseignements&ss=L3-INFO5-Hachage&TD=01},
	year = 2008
}

@online{cours_tables_hachage,
	author = {Julien Sopena},
	title = {Cours - Fonctions de hachage},
	url = {http://julien.sopena.fr/enseignements/L3-INFO5-Hachage/cours/01-Tables_de_hachage/01-Tables_de_hachage.pdf},
	year = 2008
}

@online{algorithmique_tables_hachage,
	author = {H Henri},
	title = {Algorihtmique : les tables de hachage},
	url = {https://slides.com/rolandin0/algorithmique-les-tables-de-hachage#/1},
	year = {2020}
}

